Get Vsan Protection Group

Get Vsan Protection Group

Get information about a vSAN Snapshot Manager protection group with remote replication matching SRM pair direction.Once vSAN Snapshot Manager protection group is added to an SRM protection group it becomes a managed by SRM andany standalone recovery operations outside SRM control are disabled.

Request
URI
GET
https://{api_host}/pairings/{pairing_id}/srms/{srm_id}/replication-management/vsan/protection-groups/{protection_group_id}
COPY
Path Parameters
string
pairing_id
Required

The ID of a pairing between this Site Recovery Manager server and remote one.

string
srm_id
Required

ID of a Site Recovery Manager server.

string
protection_group_id
Required

The ID of the vSAN protection group.


Authentication
This operation uses the following authentication methods.
Responses
200

Information about a vSAN protection group.

Returns VsanProtectionGroupDataDrResponseEntity of type(s) application/json
{
    "id": "string",
    "name": "string",
    "description": "string",
    "source_cluster": "string",
    "target_cluster": "string",
    "srm_protection_group": "string",
    "_meta": {
        "errors": [
            {
                "code": "string",
                "message": "string",
                "field": "string"
            }
        ]
    }
}

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


404

Not Found - server cannot find the requested in URL resource

Operation doesn't return any data structure

500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/srms/{srm_id}/replication-management/vsan/protection-groups/{protection_group_id}